# Zoho ZeptoMail integration

Zoho ZeptoMail is a dedicated transactional email service that allows you to send welcome emails, account related details, password reset emails and more. These transactional emails are automated and triggered based on the user's actions on an application. Any web application can be connected to ZeptoMail to trigger these emails as and when an action occurs.

To learn more about ZeptoMail
[ZeptoMail homepage](https://www.zoho.com/zeptomail/).

In case of any technical queries 
[Contact sales](https://www.zoho.com/zeptomail/contact.html).


## Pre-requisites

- ZeptoMail account
- A Verified domain added to the account
- Using this module requires Mail system module [Mail system module](https://www.drupal.org/project/mailsystem)


## Installation 

- Navigate to the Extend section and select Add Module.
- You can either add the following URL in your command prompt : 
composer require 'drupal/zoho/zeptomail:^1.0'
- Or you can upload the ZeptoMail tar.gz file to add the Zoho ZeptoMail module to the list.

To install :
There are two ways to do this :
- Search the Zoho ZeptoMail module in the Extend section and click Install.
- You can also install by navigating to the Administration section and selecting Configuration.
- You will find the Zoho ZeptoMail module listed. Click Install to install the module.
Once you install the module, you will be redirected to the Configuration page.

## Configuration 

Follow the steps below to configure ZeptoMail with Drupal
- Choose the region where your account is hosted.
- Copy and paste the Send Mail Token of the Mail Agent you wish to use.
You will find the steps to generate the Send Mail Token here: [Send Mail Token] (https://www.zoho.com/zeptomail/help/API-home.html)
- Add the FROM name and email address you wish to use.
- Click Install. 
The module is installed and configured for your use.
## Troubleshooting 
Write to us in case of any queries
[Contact support](support@zeptomail.com
