(function ($, Drupal) {
    $("#zepto_config_btn").on("click",function(){
        $self = $(this);
        $.ajax({
            url: Drupal.url('admin/config/mail/zeptomail/saveconfig'),
            type: 'POST',
            dataType: 'json',
            data: {
              'domain' : $('[name=zepto_domain]').val(),
              'mailtoken' : $('#zepto_mail_token').val(),
              'from_address' : $("#zepto_from_address").val(),
              'from_name' : $("#zepto_from_name").val() ,
              'zepto_csrftoken' : $("#zepto_csrftoken").val()
            },
            beforeSend: function() {
							if($self.find(".loading-spinner").length === 0){
								$self.append($('<div>').addClass("loading-spinner"));
							}else {
								xhr.abort();
								return;
							}
            },
            success: function (data) {
              $self.find(".loading-spinner").remove();
							if(data.result === 'success'){
                addZeptoSuccessMessage('Plugin configured successfully');
              } else {
                addZeptoErrorMessage(data['error_message']);
              }
            }
          });

    });
    $("#zepto_test_btn").on("click",function(){
      $self = $(this);
      $.ajax({
          url: Drupal.url('admin/config/mail/zeptomail/testconfig'),
          type: 'POST',
          dataType: 'json',
          data: {
            'zepto_csrftoken' : $("#zepto_csrftoken").val()
          },
          beforeSend: function() {
            if($self.find(".loading-spinner").length === 0){
              $self.append($('<div>').addClass("loading-spinner"));
            }else {
              xhr.abort();
              return;
            }
          },
          success: function (data) {
            $self.find(".loading-spinner").remove();
            if(data.result === 'success'){
              addZeptoSuccessMessage('Plugin configured successfully');
            } else {
              addZeptoErrorMessage(data['error_message']);
            }
          }
        });

  });
    
  })(jQuery, Drupal);
  